Skip to main content
POST
Copy an interview

Authorizations

Authorization
string
header
required

Supabase JWT — Authorization: Bearer <token>.

Body

application/json
interview_id
string<uuid>
required

The stand-alone interview, persona or coaching session to copy (interview_def_set.id). The AI interview of a position step is copied with duplicate_position.

name
string

Name of the copy. Default: the name with " (copy)".

Required string length: 1 - 300
target_merchant_id
string<uuid>

Copy into another company you manage (admins and sub-merchant operators only; other callers always copy into their own company). Another company needs a shared avatar. Default: the interview's company.

Response

The copy.

interview_id
string<uuid>
required

The copy (interview_def_set.id), a draft.

source_interview_id
string<uuid>
required

The interview copied (interview_def_set.id).